# ApplicationFramework
TKCDF
LDOM

# LDOM_BasicText Class Reference

`#include <LDOM_BasicText.hxx>`

Inheritance diagram for LDOM_BasicText:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
| LDOM_BasicText ()
LDOM_BasicText & | operator= (const LDOM_NullPtr *aNull)
const LDOMBasicString & | GetData () const
void | SetData (const LDOMBasicString &aValue, const Handle(LDOM_MemManager)&aDoc)

## Private Member Functions

| LDOM_BasicText (const LDOM_Node::NodeType aType, const LDOMBasicString &aData)
| LDOM_BasicText (const LDOM_CharacterData &aText)

## Static Private Member Functions

static LDOM_BasicText & | Create (const LDOM_Node::NodeType aType, const LDOMBasicString &aData, const Handle(LDOM_MemManager)&aDoc)

## Private Attributes

LDOMBasicString | myValue

## Constructor & Destructor Documentation

LDOM_BasicText::LDOM_BasicText | ( |  | ) | `[inline]`

LDOM_BasicText::LDOM_BasicText | ( | const LDOM_Node::NodeType | aType,
|  | const LDOMBasicString & | aData
| ) | `[inline, private]`

LDOM_BasicText::LDOM_BasicText | ( | const LDOM_CharacterData & | aText | ) | `[private]`

## Member Function Documentation

static LDOM_BasicText& LDOM_BasicText::Create | ( | const LDOM_Node::NodeType | aType,
|  | const LDOMBasicString & | aData,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[static, private]`

const LDOMBasicString& LDOM_BasicText::GetData | ( |  | ) | const`[inline]`

void* LDOM_BasicText::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

LDOM_BasicText& LDOM_BasicText::operator= | ( | const LDOM_NullPtr * | aNull | ) |

| Reimplemented from LDOM_BasicNode.

void LDOM_BasicText::SetData | ( | const LDOMBasicString & | aValue,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[inline]`

## Field Documentation

LDOMBasicString LDOM_BasicText::myValue `[private]`

The documentation for this class was generated from the following file:

- LDOM_BasicText.hxx